@import "assets/scss/global";

.wrapper-assign {

    .container-box {
        width: 100%;
        height: 100%;
        background: #FFFFFF;
        border-radius: 8px;
        padding: 24px;
        display: flex;
        flex-direction: column;
        gap: 20px;

        .header {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: flex-start;

            .info-unit-test {
                font-weight: 600;
                font-size: 14px;
                line-height: 20px;
                color: #000000;
                width: 100%;
                overflow: hidden;
                text-overflow: ellipsis;
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
                word-break: break-word;
                padding-right: 20px;
            }

            .status-unit-test {
                font-weight: 500;
                font-size: 14px;
                line-height: 20px;
                padding: 5px 20px;
                border-radius: 60px;
                background: #FFEFD9;
                color: #F79945;
                min-width: 130px;
                text-align: center;

                &.ongoing{
                    background: #D7F9F5;
                    color: #21C274;
                }

                &.ended{
                    background: #FFCACA;
                    color: #EF4E2B;

                }
            }
        }

        .filter-box {
            display: flex;
            flex-direction: row;
            gap: 17px;

            .btn-reset {
                color: #7c68ee;
                border-color: #7c68ee;
                display: flex;
                flex-direction: row;
                align-items: center;
                gap: 8px;
                border-radius: 40px;
                transition: all .3s;

                &:hover {
                    background-color: #7c68ee1a;
                }

                svg {
                    path {
                        fill: #7c68ee;
                    }
                }
            }

            .export-result{
                border-radius: 12px;
                font-weight: 600;
                font-size: 13px;
                outline: none;

                --rs-btn-primary-text: #FFF;
                --rs-btn-primary-hover-text: #FFF;
                --rs-btn-primary-active-text: #FFF;

                --rs-btn-primary-bg: #F84C26;
                --rs-btn-primary-hover-bg: #F84C26;
                --rs-btn-primary-active-bg: #F84C26;
            }
        }

        .content-data {
            height: calc(100% - 106px);
            overflow: auto;
            position: relative;

            .grid-data {
                display: grid;
                grid-template-columns: repeat(4, 1fr);
                column-gap: 20px;
                row-gap: 20px;

                &.no-data {
                    display: block;
                    width: 100%;
                    height: 100%;
                }
                .item-user-assign {
                    height: 84px;
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    gap: 15px;
                    background: #C7FCE2;
                    border-radius: 8px;
                    padding: 10px;
                    cursor: pointer;

                    &.no-result-assign {
                        background: #F4F7FC;

                        .user-result-assign {

                            .status-learning {
                                color: #B3B3B4;
                            }
                        }
                    }

                    .avatar-default {
                        height: 40px;
                        width: 40px;

                        svg {
                            display: block;
                            height: 40px;
                            width: 40px;
                        }
                    }

                    .user-result-assign {
                        display: flex;
                        flex-direction: column;
                        gap: 5px;
                        width: calc(100% - 55px);

                        .user-name {
                            overflow: hidden;
                            text-overflow: ellipsis;
                            word-break: break-all;
                            display: -webkit-box;
                            -webkit-line-clamp: 1;
                            -webkit-box-orient: vertical;
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 20px;
                            color: #000000;
                        }

                        .status-learning {
                            font-weight: 500;
                            font-size: 12px;
                            line-height: 20px;
                            color: #21C274;
                        }

                        .result-learning {
                            font-weight: 500;
                            font-size: 12px;
                            line-height: 20px;
                            color: #888888;
                        }
                    }
                }
            }
        }
    }
}

.select-picker {
    --rs-picker-value: #000000;
    --rs-input-focus-border: #e5e5ea;
    --rs-state-focus-shadow: '';
}

.menu-select-picker {
    --rs-listbox-option-selected-text: #ed3902;
    --rs-listbox-option-selected-bg: #fff8f4;

    --rs-listbox-option-hover-text: #ed3902;
    --rs-listbox-option-hover-bg: #fff8f4;
}